7

I am trying to access WhatsApp Web and I get the following message:

WhatsApp Web works for Google Chrome 36+ To start using WhatsApp Web, update Chrome or use Mozilla Firefox, Safari, or Opera.

I run Chrome version 43+ so this makes no sense.

What seems to be the error?

  • Happens to me so often on so very many sites, I don't let it bother me any more. Some websites even complain that they can only work properly with browsers running under Windows as opposed to Linux. If I really need to visit such a site, I just change my useragent string. – Mr Lister Jun 21 '15 at 5:35
  • They are probably using a technique to detect your browser version that can break at even slightest errors in data. Would be looking at their source code though to see what actually does it. – Deepak Kamat Jun 27 '15 at 17:10
6

Whatever algorithm they're using to detect your browser is faulty. Unless and until they fix it, you should follow their advice and use a different browser.

5

After speaking with WhatsApp support the answer is that some extensions make the application think it's a another version of Chrome. It was indeed the answer. In my particular case it happened to be an extension called "Smooth Scroll".

  • Interesting, I had the same problem- then disabled 2 extensions: HD for YouTube and Chrome for Kindle Now I was able to access whatsapp via Chrome. then reenabled both extensions And I was still able to access whatsapp – user104516 Sep 25 '15 at 2:37
  • For me, the extension that I had to disable was "FirePHP4Chrome". I guess they don't want us to be sneaking down the ajax calls :D – Jmakuc Nov 19 '15 at 13:56

Not the answer you're looking for? Browse other questions tagged or ask your own question.